GET
/
v1
/
teams
/
{teamId}
/
social-accounts
/
{id}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.socialGetSocialAccount({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  id: process.env.OCTOSPARK_ID ?? "id",
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "providerAccountId": "<string>",
  "displayName": "<string>",
  "profileHandle": "<string>",
  "profileImageUrl": "<string>",
  "accountSubType": "<string>",
  "scopes": [
    "<string>"
  ],
  "providerSettings": {},
  "capabilities": {},
  "connectedAt": "<string>",
  "disconnectedAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required
id
string
required

Response

Success

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
teamId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
provider
enum<string>
required
Available options:
x,
tiktok,
instagram,
facebook,
youtube,
linkedin,
threads
providerAccountId
string
required
displayName
string
required
profileHandle
string | null
required
profileImageUrl
string | null
required
accountSubType
string | null
required
status
enum<string>
required
Available options:
connected,
disabled,
refresh_needed,
disconnected
scopes
string[]
required
providerSettings
object
required
capabilities
object
required
connectedAt
string
required
disconnectedAt
string | null
required
createdAt
string
required
updatedAt
string
required